PHP Manual
Prev |  | Next

# bcompiler_load_exe

(PECL)

bcompiler_load_exe -- Reads and creates classes from a bcompiler exe file

## Description

bool bcompiler_load_exe ( string filename )

Reads data from a bcompiler exe file and creates classes from the bytecodes.

## Parameters

`filename`

  The exe file path, as a string.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. bcompiler_load() example

`<?php bcompiler_load_exe("/tmp/example.exe"); print_r(get_defined_classes()); ?>`

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

bcompiler_load()

Prev | Home | Next
PHP bytecode Compiler | Up | bcompiler_load